[arch-commits] Commit in bluez/repos (4 files)
Geoffroy Carrier
geoffroy at archlinux.org
Mon Jan 5 10:05:09 UTC 2009
Date: Monday, January 5, 2009 @ 05:05:09
Author: geoffroy
Revision: 23188
Merged revisions 23186 via svnmerge from
svn+ssh://geoffroy@archlinux.org/srv/svn-packages/bluez/trunk
........
r23186 | geoffroy | 2009-01-05 11:03:24 +0100 (Mon, 05 Jan 2009) | 2 lines
upgpkg: bluez 4.25-1
geoffroy starting the bluetooth work!
........
Modified:
bluez/repos/testing-x86_64/ (properties)
bluez/repos/testing-x86_64/PKGBUILD
Deleted:
bluez/repos/testing-x86_64/PATH_MAX-compile-failure.patch
bluez/repos/testing-x86_64/bluetooth.rc
--------------------------------+
PATH_MAX-compile-failure.patch | 12 ----
PKGBUILD | 73 ++++++++++++++++----------
bluetooth.rc | 106 ---------------------------------------
3 files changed, 44 insertions(+), 147 deletions(-)
Property changes on: bluez/repos/testing-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
- /bluez/trunk:1-10584
+ /bluez/trunk:1-23187
Deleted: testing-x86_64/PATH_MAX-compile-failure.patch
===================================================================
--- testing-x86_64/PATH_MAX-compile-failure.patch 2009-01-05 10:03:48 UTC (rev 23187)
+++ testing-x86_64/PATH_MAX-compile-failure.patch 2009-01-05 10:05:09 UTC (rev 23188)
@@ -1,12 +0,0 @@
-diff -Nur bluez-4.1.orig/compat/sdp.c bluez-4.1/compat/sdp.c
---- bluez-4.1.orig/compat/sdp.c 2008-08-05 23:14:56.000000000 +0200
-+++ bluez-4.1/compat/sdp.c 2008-08-29 12:43:58.000000000 +0200
-@@ -40,6 +40,8 @@
- #include <bluetooth/hidp.h>
- #include <bluetooth/bnep.h>
-
-+#include <linux/limits.h>
-+
- #include "textfile.h"
- #include "sdp.h"
-
Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD 2009-01-05 10:03:48 UTC (rev 23187)
+++ testing-x86_64/PKGBUILD 2009-01-05 10:05:09 UTC (rev 23188)
@@ -1,41 +1,56 @@
-# $Id$
-# Maintainer: Thomas Baechler <thomas at archlinux.org>
+# Maintainer: Geoffroy Carrier <geoffroy at archlinux.org>
+
pkgname=bluez
-pkgver=4.1
+pkgver=4.25
pkgrel=1
-pkgdesc="Libraries and tools for the Linux Bluetooth protocol stack"
+pkgdesc="Libraries and tools for the Bluetooth protocol stack"
+url="http://www.bluez.org/"
arch=('i686' 'x86_64')
-url="http://www.bluez.org/"
-makedepends=('gstreamer0.10-base' 'alsa-lib')
-optdepends=('gstreamer0.10-base' 'alsa-lib')
-depends=('libusb' 'dbus')
+license=('GPL2')
+depends=('dbus-core' 'glib')
+makedepends=('gstreamer0.10-base' 'alsa-lib' 'libusb')
+optdepends=('gstreamer0.10-base' 'alsa-lib' 'libusb')
conflicts=('bluez-libs' 'bluez-utils')
provides=('bluez-libs' 'bluez-utils')
replaces=('bluez-libs' 'bluez-utils')
-backup=(etc/bluetooth/{main,rfcomm}.conf
+backup=(etc/bluetooth/{main,rfcomm,audio,network,input}.conf
etc/conf.d/bluetooth)
-license=('GPL')
-options=(!libtool)
-source=(http://www.kernel.org/pub/linux/bluetooth/bluez-${pkgver}.tar.gz
- bluetooth.conf.d
- bluetooth.rc
- PATH_MAX-compile-failure.patch)
-md5sums=('605b6dc32833b61c22edcac2ef2cd12e'
- '8593ea9cfa9814e2a22b19845b3c276c'
- '03d4f2463b1b580e8d2ada3767140685'
- '0ea12486a5a407c28d48c18b62be60fa')
+source=("http://www.kernel.org/pub/linux/bluetooth/$pkgname-$pkgver.tar.bz2"
+ 'bluetooth.conf.d'
+ 'rc.bluetooth')
build() {
- cd ${srcdir}/${pkgname}-${pkgver}
- patch -Np1 -i ../PATH_MAX-compile-failure.patch || return 1
- ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libexecdir=/lib \
- --enable-gstreamer --enable-alsa --enable-usb --enable-netlink \
- --enable-tools --enable-bccmd --enable-hid2hci --enable-dfutool \
- --enable-hidd --enable-pand --enable-dund --enable-cups --enable-manpages \
- --enable-configfiles --enable-pcmciarules
+ cd "$srcdir/$pkgname-$pkgver"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libexecdir=/lib \
+ --mandir=/usr/share/man \
+ --enable-gstreamer \
+ --enable-alsa \
+ --enable-usb \
+ --enable-netlink \
+ --enable-tools \
+ --enable-bccmd \
+ --enable-hid2hci \
+ --enable-dfutool \
+ --enable-hidd \
+ --enable-pand \
+ --enable-dund \
+ --enable-cups \
+ --enable-manpages \
+ --enable-configfiles \
+ --enable-pcmciarules || return 1
make || return 1
- make DESTDIR=${pkgdir} install || return 1
+ make DESTDIR="$pkgdir" install || return 1
- install -D -m755 ${srcdir}/bluetooth.rc ${pkgdir}/etc/rc.d/bluetooth || return 1
- install -D -m644 ${srcdir}/bluetooth.conf.d ${pkgdir}/etc/conf.d/bluetooth || return 1
+ install -D -m644 "$srcdir/$pkgname-$pkgver/network/network.conf" "$pkgdir/etc/bluetooth/" || return 1
+ install -D -m644 "$srcdir/$pkgname-$pkgver/input/input.conf" "$pkgdir/etc/bluetooth/" || return 1
+ install -D -m644 "$srcdir/$pkgname-$pkgver/audio/audio.conf" "$pkgdir/etc/bluetooth/" || return 1
+ install -D -m755 "$srcdir/rc.bluetooth" "$pkgdir/etc/rc.d/bluetooth" || return 1
+ install -D -m644 "$srcdir/bluetooth.conf.d" "$pkgdir/etc/conf.d/bluetooth" || return 1
}
+
+md5sums=('3d7b621b5b8a63f78f59e008b87c0738'
+ '8593ea9cfa9814e2a22b19845b3c276c'
+ '03d4f2463b1b580e8d2ada3767140685')
Deleted: testing-x86_64/bluetooth.rc
===================================================================
--- testing-x86_64/bluetooth.rc 2009-01-05 10:03:48 UTC (rev 23187)
+++ testing-x86_64/bluetooth.rc 2009-01-05 10:05:09 UTC (rev 23188)
@@ -1,106 +0,0 @@
-#!/bin/sh
-#
-# Start/stop the Bluetooth daemons
-#
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-DAEMON_NAME="bluetoothd"
-HID2HCI_NAME="hid2hci"
-HIDD_NAME="hidd"
-RFCOMM_NAME="rfcomm"
-PAND_NAME="pand"
-DUND_NAME="dund"
-
-DAEMON_EXEC="/usr/sbin/bluetoothd"
-HID2HCI_EXEC="/usr/sbin/hid2hci"
-HIDD_EXEC="/usr/bin/hidd"
-RFCOMM_EXEC="/usr/bin/rfcomm"
-PAND_EXEC="/usr/bin/pand"
-DUND_EXEC="/usr/bin/dund"
-
-DAEMON_ENABLE="true"
-HID2HCI_ENABLE="false"
-HIDD_ENABLE="false"
-RFCOMM_ENABLE="false"
-DUND_ENABLE="false"
-PAND_ENABLE="false"
-
-RFCOMM_CONFIG="/etc/bluetooth/rfcomm.conf"
-
-HIDD_OPTIONS=""
-DUND_OPTIONS=""
-PAND_OPTIONS=""
-
-[ -f /etc/conf.d/bluetooth ] && . /etc/conf.d/bluetooth
-
-case "$1" in
- start)
- stat_busy "Starting bluetooth subsystem:"
- if [ "$DAEMON_ENABLE" = "true" -a -x "$DAEMON_EXEC" ] ; then
- stat_append " $DAEMON_NAME"
- $DAEMON_EXEC
- fi
- if [ "$HID2HCI_ENABLE" = "true" -a -x "$HID2HCI_EXEC" ] ; then
- stat_append " $HID2HCI_NAME"
- $HID2HCI_EXEC --tohci > /dev/null 2>&1 || true
- fi
- if [ "$SDPD_ENABLE" = "true" -a -x "$SDPD_EXEC" ] ; then
- stat_append " $SDPD_NAME"
- $SDPD_EXEC
- fi
- if [ "$HIDD_ENABLE" = "true" -a -x "$HIDD_EXEC" ]; then
- stat_append " $HIDD_NAME"
- $HIDD_EXEC $HIDD_OPTIONS --server
- fi
- if [ "$RFCOMM_ENABLE" = "true" -a -x "$RFCOMM_EXEC" -a -f "$RFCOMM_CONFIG" ]; then
- stat_append " $RFCOMM_NAME"
- $RFCOMM_EXEC -f $RFCOMM_CONFIG bind all
- fi
- if [ "$DUND_ENABLE" = "true" -a -x "$DUND_EXEC" -a -n "$DUND_OPTIONS" ]; then
- stat_append " $DUND_NAME"
- $DUND_EXEC $DUND_OPTIONS
- fi
- if [ "$PAND_ENABLE" = "true" -a -x "$PAND_EXEC" -a -n "$PAND_OPTIONS" ]; then
- stat_append " $PAND_NAME"
- $PAND_EXEC $PAND_OPTIONS
- fi
- add_daemon bluetooth
- stat_done
- ;;
- stop)
- stat_busy "Stopping bluetooth subsystem:"
-
- stat_append " $PAND_NAME"
- killall $PAND_NAME >/dev/null 2>&1
-
- stat_append " $DUND_NAME"
- killall $DUND_NAME >/dev/null 2>&1
-
- if [ -x "$RFCOMM_EXEC" ]; then
- stat_append " $RFCOMM_NAME"
- $RFCOMM_EXEC release all >/dev/null 2>&1
- fi
-
- stat_append " $HIDD_NAME"
- killall $HIDD_NAME >/dev/null 2>&1
-
- stat_append " $SDPD_NAME"
- killall $SDPD_NAME >/dev/null 2>&1
-
- stat_append " $DAEMON_NAME"
- killall $DAEMON_NAME >/dev/null 2>&1
-
- rm_daemon bluetooth
- stat_done
- ;;
- restart)
- $0 stop
- sleep 1
- $0 start
- ;;
- *)
- echo "usage: $0 {start|stop|restart}"
-esac
-exit 0
More information about the arch-commits
mailing list